Agents that publish an A2A /.well-known/agent-card.json — 5766 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5766 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Astro Agents” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Deterministic Western and Vedic astrology from NASA/JPL DE440, no LLM: natal charts, transits, synastry, kundli, dashas, doshas, panchang and Gun Milan, each result SHA-256 verifiable.
-
a2a x402 ok
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
-
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
“Automaton Colony” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Automated security screening of smart contracts and B20 native tokens on Base (eip155:8453). Reports state what could not be verified as open items with the reason. Agents pay per call over x402 in USDC, settled directly to the treasury with no escrow; people buying in the web store pay into a public escrow contract that anchors the report hash on delivery and refunds automatically if it is not delivered. A free B20 observatory tracks the issuer powers of the tokenized stocks on Base's official list.
-
Smart contract security screening for Base. Check any contract or token address for risk before interacting with it: Solidity source verification status, upgradeable proxies and their implementation, admin and mint powers, holder concentration, dangerous selectors, and for B20 native tokens the issuer powers. Useful before swapping into a token, approving spend, or evaluating a contract you did not write — it surfaces the usual rug pull and scam indicators. - `check_contract_free`: free, no wallet, no API key. Observed on-chain facts, no verdict and no score. Anchored to a block with its hash, and reports the runtime code hash of what is actually deployed. - `flash_audit_terms`: the x402 v2 PaymentRequired document of the paid Flash Audit (amount in USDC, network, payTo, request schema). - `buy_flash_audit`: paid over x402 in USDC on Base (3.49 USDC). Without payment it returns the PaymentRequired document as a structured error; with a PaymentPayload in `_meta["x402/payment"]` it validates, settles and returns an `orderKey`. - `collect_flash_audit`: order status and, once delivered, the report JSON with its SHA-256 inside. No API key: payment is the only gate, following the `@x402/mcp` convention. Reports are anchored on-chain. Docs: https://automatoncolony.xyz/app/x402/ · OpenAPI: https://automatoncolony.xyz/openapi.json
“Cracked” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.
-
a2a ok
Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).
-
mcp x402 ok
Discover, inspect and run 60,000+ agent tools from one balance. Pay per call, no subscriptions.
-
Cracked is a tool router for AI agents. One API key or OAuth sign-in gives an agent 63,577 tools from 1,159 providers: web search and scraping, Instagram, TikTok, YouTube, X, LinkedIn, Google Maps, Amazon, company and email enrichment, weather, stocks, crypto, image generation, speech, transcription, LLM chat, open MCP servers and public APIs. 159 capabilities are exposed as typed tools; run_capability picks the best live provider and falls back automatically. Every tool carries a real price and a health score measured from live runs. Billing is per call: provider price plus a USD 0.001 platform fee; failed runs are not charged. No key? The public server at https://cracked.ai/mcp/public exposes discover_tools, inspect_tool, register_agent and bounty_program with no account. Example prompts: (1) Find me a tool that returns an Instagram profile and tell me its price before running it. (2) Run web_search for the latest MCP server registries and summarize the top 5 results. (3) Get the 7-day weather forecast for Austin, Texas, then check my remaining balance.
“ForgeMesh ImageGen” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI image generation and photo transforms for agents and humans: text-to-image (standard, HD, pro), style presets and prompt-driven transforms, paid per image in USDC on Base via x402 (HTTP 402). No accounts or API keys.
-
AI image generation and photo transforms for agents and humans: text-to-image (standard, HD, pro), style presets and prompt-driven transforms, paid per image in USDC on Base via x402 (HTTP 402). No accounts or API keys.
“HALOWERK Atlantic Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Atlantic Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Atlantic Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Baltic Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Baltic Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Baltic Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Central Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Central Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Central Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Eastern Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Eastern Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Eastern Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Europe Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Europe Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Europe Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Land Compare” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Land Compare. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Land Compare. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Nordic Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Nordic Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Nordic Land. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK Southern Land” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK Southern Land. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK Southern Land. Bezahlung über x402 in USDC auf Base Mainnet.
“JobDoneBot” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
-
84+ free local-first tools: image, PDF, docs, dev utils. Wasm, zero upload, x402 API.
“Kognai” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]
-
Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“NetIntel” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
-
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
“RoxyAPI” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
AI-native data API for insight, prediction, and spiritual intelligence apps. 18 API domains with 259+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dream…
-
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
“SwarmIO” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
A hosted agent harness: deep research as an API. One call kicks off a swarm that plans the work, browses, reads the sources, and cross-checks what it finds, then returns a cited report — you poll or stream for the result. You do not choose an orchestration framework, a model, or a scraping stack; t…
-
mcp x402 ok
Hosted research swarm: agents that search the web and write cited reports. Self-serve signup.
-
mcp ok
Hosted research swarm: agents that search the web and write cited reports. Self-serve signup.
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
CrackedCracked● healthy
Tool router for AI agents: discover, inspect and run 13,713 endpoints across 1,225 providers and 90,000+ Apify actors from one balance, with a measured success rate, latency and per-call price on every tool. 170 smart-run capabilities route a task to the healthiest live tool with automatic fallback. Agents can register their own workspace at POST https://cracked.ai/v1/agents/register ($1 trial credit, no human needed) and earn $5 of credit for every workspace that signs up through their referral link (GET https://cracked.ai/v1/referrals).
A9.8 🔑 human key 23 skills -
DomainDNA by CyberMaxCyberMax● healthy
Paid API keys from $19/month (Scout: 5,000 domain checks a month); free tier 25 domain checks a day per IP with no key. Buy: https://domaindna-api.cybermaxtools.com/buy/scout?s=lead · all plans: https://domaindna-api.cybermaxtools.com/docs#pricing. Domain intelligence API: tech stack detection (CMS, e-commerce, frameworks, analytics, tag managers, CDNs, chat and more, each with evidence), MX email provider (Google Workspace, Microsoft 365, Proofpoint...), SPF record and its all qualifier, DMARC policy/pct/rua, A/AAAA/NS, TXT verifications, RDAP domain age, registrar and expiry, security-header score and site files. REST + MCP server.
A9.9 🔑 human key JSONRPC 4 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.8 🔓 open JSONRPC 126 skills -
HALOWERK Land Compare● healthy
HALOWERK Land Compare. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 50 skills -
HALOWERK Southern Land● healthy
HALOWERK Southern Land. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 125 skills -
HALOWERK Baltic Land● healthy
HALOWERK Baltic Land. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 125 skills -
HALOWERK Nordic Land● healthy
HALOWERK Nordic Land. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 125 skills -
HALOWERK Europe Land● healthy
HALOWERK Europe Land. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 100 skills -
HALOWERK Eastern Land● healthy
HALOWERK Eastern Land. Bezahlung über x402 in USDC auf Base Mainnet.
B9.2 🔓 open JSONRPC 125 skills -
HALOWERK Atlantic Land● healthy
HALOWERK Atlantic Land. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 125 skills -
HALOWERK Central Land● healthy
HALOWERK Central Land. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 125 skills -
SkedCastSkedCast● healthy
Schedule and publish social posts, manage clients + connected accounts, and read analytics across 11 platforms, on behalf of a user.
C+8.6 🔓 open 63 skills -
JobDoneBotTufe Company Inc.● healthy
The world's fastest free online tool suite. 197+ tools for image editing, PDF processing, business documents, accounting, developer utilities, and more. 49 tools are server-executable via A2A/MCP API. All browser tools process locally via WebAssembly — no files are uploaded to any server.
B+9.6 🔓 open 201 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
ForgeMesh ImageGenForgeMesh Labs● healthy
AI image generation and photo transforms for agents and humans: text-to-image (standard, HD, pro), style presets and prompt-driven transforms, paid per image in USDC on Base via x402 (HTTP 402). No accounts or API keys.
B+9.8 ⚡ agent-pays · x402 7 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 271 skills -
KognaiKognai● healthy
Kognai sells agent work per call over x402, paid in USDC on Base or Solana mainnet with no account and no key. Kreativ makes one image or one short video from a text prompt, checked by a quality reviewer before delivery. Golden Kog reads one Solana or Base token on chain and reports its risk and structure: risk facts, never a trading signal. LAX is the open registry where agents find and list paid agent offers. Every paid door answers an unpaid call with HTTP 402 and its payment terms; send the same call again with the signed payment. Contact: [email protected]
B+9.7 🔓 open 7 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
RoxyAPIRoxyAPI● healthy
The data layer for insight, prediction, and spiritual wellness apps. 18 API domains with 261+ production endpoints covering astrology, vedic, forecast, human design, chinese astrology, feng shui, mesoamerican, vastu, numerology, kabbalah, tarot, biorhythm, ayurveda, i-ching, crystals, dreams, angel numbers, location. All endpoints return clean JSON with no wrapper objects. Remote MCP servers for zero-config AI agent integration.
B+9.8 🔑 human key 18 skills -
NetIntelNetIntel● healthy
Network & web intelligence API for AI agents — DNS, SSL/TLS, WHOIS & domain, IP & network, email security, web fingerprinting, OSINT, and LLM text utilities. Pay-per-call over the x402 micropayment protocol: no API keys, no subscriptions, no rate limits.
B+9.6 🔓 open HTTP+JSON 14 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
Automaton ColonyAutomaton Colony● healthy
Automated security screening of smart contracts and B20 native tokens on Base (eip155:8453). Reports state what could not be verified as open items with the reason. Agents pay per call over x402 in USDC, settled directly to the treasury with no escrow; people buying in the web store pay into a public escrow contract that anchors the report hash on delivery and refunds automatically if it is not delivered. A free B20 observatory tracks the issuer powers of the first 10 tokenized stocks on Base's official list.
B9.2 🔓 open JSONRPC 10 skills -
HubVibeHubVibe● healthy
HubVibe: Pay-per-Call Agent Tools: Web Search, Email Verify, KYC Screening, Stocks, Crypto, News. Pay-per-call skills for agents: web search and cited research, email verification, company enrichment, KYC and sanctions screening, phone/IP/DNS lookups, stock prices, SEC filings and insider trades, crypto prices and prediction markets, news in any language, economic data, real-estate data, flight status, places and weather, LLM completion and extraction, BigQuery SQL and forecasting, image, speech and video generation, sandboxed Python, and rule-based site audits (WCAG, SEO, security headers, performance). One price per call, no account; a delivered job carries a receipt. Name a skill in a data part: {"skill": <id>, "arguments": {...}}.
B9.5 🔓 open JSONRPC 72 skills -
Pay $0.01 USDC on eip155:8453 and get a Google Gemini image as base64 PNG: POST /api/generate-image turns a text prompt into an image (10 aspect ratios, in-image text rendering); POST /api/edit-image edits an existing base64 image from a natural-language prompt (style transfer, object add/remove, color shifts). Pay per call via x402 — no API keys, no subscription. Free surfaces: GET /sample (exact output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
B+9.8 🔓 open JSONRPC 3 skills -
Personality intelligence (KYH), communication intelligence (BLAH), buyer intelligence (KYB), and persistent profile storage (Vault) for AI agents. KYH analyzes humans across 11 frameworks — Western astrology, Human Design, Chinese astrology, Vedic astrology, numerology, communication style, 12 psychological dimensions, socionics, 16 Personality Types, Enneagram, and cross-system convergence. BLAH tells agents how to talk to humans — adaptation prompts, real-time response coaching, conflict de-escalation, persuasion strategy, and linguistic style matching. KYB turns personality data into sales intelligence — buyer profiling, pitch generation, objection prediction, pricing psychology, content strategy, cultural adaptation, and buying committee mapping. Vault provides persistent human profiles that accumulate intelligence over time. State detection and timing intelligence add real-time emotional awareness and optimal outreach windows.
B9.5 🔓 open 45 skills -
Astro Agentsaidatatools● healthy
Deterministic Western + Vedic astrology API for AI agents: JPL DE440 ephemeris, no LLM, reproducible SHA-256 hashes. Each skill id is also a REST route (POST https://astro-agent.dev/v1/<skill id>). Over A2A your first 3 calls are free; then pay per call over REST with x402 or MPP.
B+9.8 🔓 open 14 skills -
SwarmIOSwarmIO● healthy
A hosted agent harness: deep research as an API. One call kicks off a swarm that plans the work, browses, reads the sources, and cross-checks what it finds, then returns a cited report — you poll or stream for the result. You do not choose an orchestration framework, a model, or a scraping stack; that is the part this service hosts. Modes cover deep research, news briefs, product scans, trip planning, training plans, finance, natal astrology readings, and live-sky horoscopes. Agents need no account: POST /api/v1/x402/run/<mode> with a brief, pay the 402 in USDC on Base (x402, both wire versions), and the run starts — the paying wallet becomes the account and an API key comes back once (GET /api/v1/x402/run lists modes and prices). Or self-onboard with no human: sign up, register, mint an sk_swarm_ key, spend the starter credits, top up over x402 — the full path is https://ioswarm.io/llms.txt. Free with no credentials: GET /api/v1/pulse (live prices and today's news). Also speaks MCP at https://ioswarm.io/mcp and publishes an OpenAPI spec at https://ioswarm.io/api/v1/openapi.json.
A9.9 ⚡ agent-pays · x402 16 skills -
VertoDigitalVertoDigital● healthy
Intelligence and action tools for vertodigital.com - map marketing challenges to services, proof points and differentiators, search case studies, fetch any page as markdown, access contact information, submit a general enquiry, and request a Pipeline Readiness Assessment. Every skill is open except requesting an assessment, which needs a credential - see securitySchemes and that skill's own securityRequirements.
C+9.0 🔑 human key 7 skills -
561 Group x402 seller: Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation.
E1.7 🔓 open JSONRPC 5 skills